# Create Batch Transaction

Create a batch of transactions.
<br>
Batch transactions are currently supported only on Solana.

Endpoint: POST /api/v1/batch-transactions
Version: 0.2.0
Security: bearerAuth

## Header parameters:

  - `x-signature` (string)
    Signature of the body. Base64 encoded string. If the request is made programatically by an API user, signing of the request is required and is intended to protect you from malicious backends. `x_signature` is valid for 120 seconds.

  - `x-timestamp` (integer)
    Timestamp of the signature. Integer. Specify an Epoch date. If the request is made programatically by an API user, the timestamp of the request is required and is intended to protect you from replay attacks.

  - `x-idempotence-id` (string)
    Optional idempotence ID of a transaction.

## Request fields (application/json):

  - `vault_id` (string, required)
    The unique identifier of the vault.

  - `note` (string)
    An optional transaction note.

  - `considered_as_stuck_after_seconds` (integer)
    The number of seconds after signing or pushing the transaction before it is eligible to be considered stuck. If omitted, the chain default is used. This field has no effect on message-only requests.

  - `signer_type` (string)
    Enum: "initiator", "api_signer", "end_user", "multiple_signers", "api_user"

  - `sign_mode` (string)
    Enum: "auto", "triggered"

  - `dapp_info` (object)

  - `dapp_info.url` (string, required)
    The URL of the dapp.

  - `dapp_info.name` (string, required)
    The name of the dapp.

  - `type` (string, required)
    Solana transaction type.

  - `details` (object, required)

  - `details.type` (string, required)
    A Solana raw transaction is for any operation.

  - `details.fail_on_prediction_failure` (boolean)
    `True` if the request should fail in case simulation failed, `False` otherwise.  In case simulation has failed upon continuation, the expected result of the transaction will be partial and policy will be applied on information that can be extracted statically from the transaction only. This might result in falling back to the default policy rule.

  - `details.skip_prediction` (boolean)
    `True` to create a transaction without prediction, `False` otherwise.  In case of skipping simulation, the simulation status will be skipped and the expected result of the transaction will be empty. The policy will be applied on information that can be extracted statically from the transaction only. This might result in falling back to the default policy rule.  Note, it is recommended to use the default setting for this field and to turn off `fail_on_prediction_failure` instead - unless you wish to save time by omitting the prediction phase entirely.

  - `details.push_mode` (string)
    Enum: "auto", "manual", "deferred"

  - `details.fee` (any)
    The fee configuration for the transaction.

  - `details.fee.type` (string, required)

  - `details.fee.priority_fee` (string)
    The priority fee to use in the transaction (In lamports).
    Example: 1000000000000000000

  - `details.fee.unit_price` (string)
    The unit price to use in the transaction (In microlamports).
    Example: 1000000000000000000

  - `details.fee.priority_level` (string, required)
    Enum: "low", "medium", "high"

  - `details.chain` (string, required)
    Enum: "solana_mainnet", "solana_devnet", "solana_eclipse_mainnet", "solana_fogo_mainnet", "solana_fogo_testnet"

  - `details.transactions` (array, required)
    Details of the transactions in the batch.

  - `details.transactions.version` (string, required)
    Enum: "legacy", "v0"

  - `details.transactions.instructions` (array, required)
    The instructions of the transaction.

  - `details.transactions.instructions.program_index` (integer, required)
    The program index.

  - `details.transactions.instructions.data` (string, required)
    The instruction data in Base64 format.
    Example: SGVsbG8=

  - `details.transactions.instructions.account_indexes` (array, required)
    The indexes of the instruction accounts in the transaction accounts list.

  - `details.transactions.accounts` (array, required)
    Accounts used in the transaction.

  - `details.transactions.accounts.address` (string, required)
    The address of the account.
    Example: 4fYNw3dojWmQ4dXtSGE9epjRGy9pFSx62YypT7avPYvA

  - `details.transactions.accounts.writable` (boolean, required)
    Indicates if this account is writable in the context of the transaction.

  - `details.transactions.accounts.signer` (boolean, required)
    Indicates if this account is a signer of the transaction.

  - `details.transactions.accounts.ephemeral_key` (string)
    A 64-byte Solana secret key of the account, encoded in base-64.
    Example: lnNyP8kFPEaVpvUo/SIlhdZlzhPU8r7yT/h0gG5ajzQ=

  - `details.transactions.address_table_lookups` (array, required)
    Lookup tables of accounts used in the transaction.

  - `details.transactions.address_table_lookups.account_key` (string, required)
    The address of the lookup table.
    Example: 4fYNw3dojWmQ4dXtSGE9epjRGy9pFSx62YypT7avPYvA

  - `details.transactions.address_table_lookups.writable_indexes` (array, required)
    Indexes of writable accounts in the lookup table.

  - `details.transactions.address_table_lookups.readonly_indexes` (array, required)
    Indexes of read-only accounts in the lookup table.

  - `details.transactions.signatures` (array)
    Any partial signatures on the transaction.

  - `details.transactions.signatures.data` (string)
    Signature on the data, encoded in base64 format.
    Example: SGVsbG8=

  - `details.transactions.recent_blockhash` (string)
    The transaction nonce (a recently processed blockhash).
    Example: 4sGjMW1sUnHzSxGspuhpqLDx6wiyjNtZAMdL4VZHirAn

  - `type` (string, required)
    The type of the transaction.

## Response 201 fields (application/json):

  - `batch_id` (string, required)
    ID of the batch of transactions.

  - `transactions` (array, required)

  - `transactions.id` (string, required)
    The unique identifier of the object in the Fordefi platform.

  - `transactions.created_at` (string, required)
    The date and time when the object was created.

  - `transactions.modified_at` (string, required)
    The date and time when the object was last modified. Any change to any field of the resource is considered a modification.

  - `transactions.managed_transaction_data` (object)

  - `transactions.managed_transaction_data.created_by` (any, required)
    Represents a reference to a user in the Fordefi platform

  - `transactions.managed_transaction_data.created_by.id` (string, required)
    The unique identifier of the user in the Fordefi platform.

  - `transactions.managed_transaction_data.created_by.user_type` (string, required)
    The type of user. Can be a person, or (in programmatic scenarios) an API user or API Signer.

  - `transactions.managed_transaction_data.created_by.name` (string)
    The name of the user.
    Example: John Doe

  - `transactions.managed_transaction_data.created_by.email` (string, required)
    The email of the user.

  - `transactions.managed_transaction_data.created_by.state` (string, required)
    Enum: "active", "onboarding_pending_code_generation", "onboarding_pending_activation", "reset_device_pending_code_generation", "reset_device_pending_activation", "pending_approval", "deleted"

  - `transactions.managed_transaction_data.created_by.role` (string, required)
    Enum: "admin", "trader", "viewer"

  - `transactions.managed_transaction_data.created_by.user_type` (string, required)
    The type of the user.

  - `transactions.managed_transaction_data.created_by.state` (string, required)
    The state of the user.
    Enum: "active", "deleted"

  - `transactions.managed_transaction_data.created_by.external_id` (string, required)
    External id of the user.
    Example: user|1234

  - `transactions.managed_transaction_data.created_by.name` (string, required)
    The name is Fordefi CARE

  - `transactions.managed_transaction_data.device_signing_request` (object)
    Represents a device sign request for an action in the Foredefi platform

  - `transactions.managed_transaction_data.device_signing_request.signers` (array, required)
    A list of required signers. A signer can be a person or an API Signer.

  - `transactions.managed_transaction_data.device_signing_request.signers.modified_at` (string, required)
    When the signer received/signed the action

  - `transactions.managed_transaction_data.device_signing_request.signers.has_signed` (boolean, required)
    Whether the signer signed the action

  - `transactions.managed_transaction_data.approval_request` (object)
    Represents an approval request for an action in the Fordefi platform

  - `transactions.managed_transaction_data.approval_request.state` (string, required)
    Represents the whole approval request state
    Enum: "created", "approved", "insufficient_approvers", "auto_approved", "failed"

  - `transactions.managed_transaction_data.approval_request.required_groups` (integer, required)
    The number of required approval groups.

  - `transactions.managed_transaction_data.approval_request.approval_groups` (array, required)
    A list of the possible approvers from different groups.

  - `transactions.managed_transaction_data.approval_request.approval_groups.quorum_size` (integer, required)
    The number of approvers required to approve the transaction.

  - `transactions.managed_transaction_data.approval_request.approval_groups.approvers` (array, required)
    A list of the possible approvers.

  - `transactions.managed_transaction_data.approval_request.approval_groups.approvers.user` (any, required)

  - `transactions.managed_transaction_data.approval_request.approval_groups.approvers.modified_at` (string, required)
    The date and time when this approval was modified.

  - `transactions.managed_transaction_data.approval_request.approval_groups.approvers.state` (string, required)
    Represents an approval state of a single approver
    Enum: "pending", "approved", "unauthorized", "not_participated"

  - `transactions.managed_transaction_data.approval_request.error_message` (string)
    The error message if the request failed.

  - `transactions.managed_transaction_data.aml_policy_match` (object)

  - `transactions.managed_transaction_data.aml_policy_match.is_default` (boolean, required)
    `True` if this is the default rule, `False` otherwise.

  - `transactions.managed_transaction_data.aml_policy_match.rule_id` (string, required)
    The unique identifier of the rule.

  - `transactions.managed_transaction_data.aml_policy_match.rule_name` (string, required)
    The name of the rule.

  - `transactions.managed_transaction_data.aml_policy_match.action_type` (string, required)
    Enum: "allow", "block", "require_approval", "skip"

  - `transactions.managed_transaction_data.policy_match` (object)

  - `transactions.managed_transaction_data.policy_match.is_default` (boolean, required)
    `True` if this is the default rule, `False` otherwise.

  - `transactions.managed_transaction_data.policy_match.rule_id` (string, required)
    The unique identifier of the rule.

  - `transactions.managed_transaction_data.policy_match.rule_name` (string, required)
    The name of the rule.

  - `transactions.managed_transaction_data.policy_match.action_type` (string, required)
    Enum: "allow", "block", "require_approval"

  - `transactions.managed_transaction_data.signer_type` (string, required)
    Enum: "initiator", "api_signer", "end_user", "multiple_signers", "api_user"

  - `transactions.managed_transaction_data.risks` (array, required)
    The list of risks associated with this transaction.

  - `transactions.managed_transaction_data.risks.type` (string, required)
    Enum: "transfer_to_erc20_contract", "organization_not_interacted_with_address", "vault_not_interacted_with_address", "allowance_to_eoa", "unlimited_allowance", "contract_not_verified", "bridge_dest_differ_from_sender", "nft_approve_for_all", "missing_simulation", "unsupported_simulation", "post_conditions_allow_mode", "safe_sensitive_operation"

  - `transactions.managed_transaction_data.risks.severity` (string, required)
    Enum: "low", "medium", "high"

  - `transactions.managed_transaction_data.risks.title` (string, required)
    The title of the risk.

  - `transactions.managed_transaction_data.risks.description` (string, required)
    A detailed description of the risk.

  - `transactions.managed_transaction_data.error_pushing_to_blockchain_message` (string)
    The translated error message received from the node if it was rejected by it.

  - `transactions.managed_transaction_data.original_error_pushing_to_blockchain_message` (string)
    The error message received from the node if it was rejected by it.

  - `transactions.managed_transaction_data.vault` (object, required)
    Represents a reference to a vault in the Fordefi platform

  - `transactions.managed_transaction_data.vault.id` (string, required)
    The unique identifier of the vault in the Fordefi platform.

  - `transactions.managed_transaction_data.vault.vault_group_ids` (array, required)
    The unique identifiers of the vault groups this vault belongs to.

  - `transactions.managed_transaction_data.vault.name` (string, required)
    The name of the vault.

  - `transactions.managed_transaction_data.vault.address` (string)
    The address of the vault.

  - `transactions.managed_transaction_data.vault.state` (string, required)
    Enum: "active", "archived", "deleted", "pending", "aborted"

  - `transactions.managed_transaction_data.vault.type` (string, required)
    Enum: "aptos", "arch", "black_box", "canton", "cosmos", "evm", "ripple", "safe", "solana", "stacks", "starknet", "stellar", "sui", "ton", "tron", "utxo", "exchange"

  - `transactions.managed_transaction_data.vault.logo_url` (string)
    The logo of the vault. Supported for exchange and Safe vaults.

  - `transactions.managed_transaction_data.vault.is_external_signer` (boolean)
    Whether the vault uses an externally imported key (external signer).

  - `transactions.managed_transaction_data.idempotence_id` (string)
    Optional idempotence ID of a transaction.

  - `transactions.managed_transaction_data.has_current_user_vault_permissions` (boolean, required)
    Does current user have permissions to the origin vault according to its vault group permissions.

  - `transactions.managed_transaction_data.batch_data` (object)

  - `transactions.managed_transaction_data.batch_data.batch_id` (string, required)
    The unique identifier of the batch.

  - `transactions.managed_transaction_data.batch_data.index_in_batch` (integer, required)
    Index of transaction in the batch.

  - `transactions.managed_transaction_data.batch_data.batch_size` (integer, required)
    The number of transactions in the batch.

  - `transactions.managed_transaction_data.batch_data.matched_policies` (array, required)
    List of policies matched by this message.

  - `transactions.managed_transaction_data.push_mode` (string)
    Enum: "auto", "manual", "deferred"

  - `transactions.managed_transaction_data.last_pushed_at` (string)
    The last time the transaction was pushed to the node.

  - `transactions.managed_transaction_data.sign_mode` (string)
    Enum: "auto", "triggered"

  - `transactions.managed_transaction_data.fee_paid_by` (any)
    Details of the vault that paid the fee for this transaction.

  - `transactions.managed_transaction_data.fee_paid_by.type` (string, required)
    The type of fee payer.

  - `transactions.managed_transaction_data.attested_payload_for_signing` (string)
    JWS attestation for the payload (external signer). Set after finalize-for-signing.

  - `transactions.managed_transaction_data.tx_policy_explanation_id` (string)
    The id of the transaction policy explanation produced for this transaction, if any.

  - `transactions.signatures` (array, required)
    The transaction signatures.

  - `transactions.signatures.data` (string, required)
    Signature on the transaction, encoded in base64 format.
    Example: SGVsbG8=

  - `transactions.signatures.signed_by` (any)
    The user who created this signature, `null` if the signature wasn't created by a Fordefi user.

  - `transactions.note` (string)
    An optional transaction note.

  - `transactions.spam_state` (string)
    Enum: "unset", "manually_set", "automatically_set"

  - `transactions.direction` (string, required)
    Enum: "outgoing", "incoming"

  - `transactions.signed_externally` (boolean)
    Whether the transaction was signed by an external user (for example in case of imported vault).

  - `transactions.interacted_vaults` (array, required)
    The vaults that interacted with the transaction.

  - `transactions.related_transactions` (array)
    The related transactions.

  - `transactions.related_transactions.type` (string, required)
    Enum: "swap_fulfilled_by", "swap_fulfilling", "bridge_intent", "bridge_source", "bridge_destination", "stellar_claim_of", "stellar_claimed_by", "canton_accept_of", "canton_accepted_by", "ripple_cash_of", "ripple_cashed_by", "ripple_cash_trustline", "ripple_trustline_for", "ripple_trustline_for_check"

  - `transactions.related_transactions.hash` (string)
    The hash of the related transaction.

  - `transactions.related_transactions.id` (string)
    The id of the related transaction.

  - `transactions.related_transactions.chain` (any, required)
    A blockchain with metadata.

  - `transactions.related_transactions.chain.chain_type` (string, required)
    The type of the chain.

  - `transactions.related_transactions.chain.unique_id` (string, required)
    Enum: "aptos_mainnet", "aptos_testnet", "aptos_movement_mainnet", "aptos_movement_testnet"

  - `transactions.related_transactions.chain.name` (string, required)
    The full blockchain name.

  - `transactions.related_transactions.chain.native_currency_symbol` (string, required)
    The native currency symbol.
    Example: ETH

  - `transactions.related_transactions.chain.native_currency_name` (string, required)
    The native currency name.
    Example: Ether

  - `transactions.related_transactions.chain.blockchain_explorer` (object)
    A blockchain explorer entry point.

  - `transactions.related_transactions.chain.blockchain_explorer.transaction_url` (string, required)
    Example: https://etherscan.io/tx/

  - `transactions.related_transactions.chain.blockchain_explorer.address_url` (string, required)
    Example: https://etherscan.io/address/

  - `transactions.related_transactions.chain.blockchain_explorer.root_url` (string, required)
    Example: https://etherscan.io/

  - `transactions.related_transactions.chain.blockchain_explorer.transaction_format_url` (string)
    Example: https://etherscan.io/tx/%s

  - `transactions.related_transactions.chain.blockchain_explorer.address_format_url` (string)
    Example: https://etherscan.io/address/%s

  - `transactions.related_transactions.chain.blockchain_explorer.asset_format_url` (string)
    Example: https://etherscan.io/address/%s

  - `transactions.related_transactions.chain.logo_url` (string, required)
    The logo URL of the chain.

  - `transactions.related_transactions.chain.is_testnet` (boolean, required)
    Whether the chain is on a testnet.

  - `transactions.related_transactions.chain.is_enabled` (boolean, required)
    Whether the chain is enabled.

  - `transactions.related_transactions.chain.base_denom` (string, required)
    The base denom of the chain.

  - `transactions.related_transactions.chain.bech32_prefix` (string, required)
    Enum: "agoric", "akash", "archway", "axelar", "bbn", "celestia", "cosmos", "dydx", "dym", "inj", "neutron", "nillion", "noble", "osmo", "saga", "sei", "stride", "thor", "mantra"

  - `transactions.related_transactions.chain.named_chain_id` (string)
    The EVM chain name can be either one of those supported by the default chains below or a custom chain name if one was added to your organization. `arbitrum_mainnet``arbitrum_sepolia``aster_mainnet``avalanche_chain``avalanche_fuji``base_mainnet``berachain_mainnet``blast_mainnet``bsc_mainnet``canto_mainnet``clink_mainnet``clink_testnet``conflux_mainnet``dymension_mainnet``ethereum_goerli``ethereum_holesky``ethereum_mainnet``ethereum_sepolia``fantom_mainnet``flare_mainnet``flare_testnet``gnosis_mainnet``hypercore_mainnet``hyperevm_mainnet``ink_mainnet``kava_mainnet``katana_mainnet``linea_mainnet``optimism_mainnet``pharos_mainnet``plasma_mainnet``manta_pacific_mainnet``mantle_mainnet``merlin_mainnet``monad_mainnet``polygon_mainnet``polygon_mumbai``polygon_zkevm_mainnet``reya_mainnet``robinhood_mainnet``rootstock_mainnet``scroll_mainnet``sei_mainnet``sonic_mainnet``tempo_mainnet``unichain_mainnet``xai_mainnet``x_layer_mainnet``zero_gravity_mainnet``zeta_mainnet``zklink_nova_mainnet``zksync_era_mainnet`

  - `transactions.related_transactions.chain.chain_id` (integer, required)
    The EVM chain ID can be either one of those supported by the default chains below or a custom chain ID if one was added to your organization. 1=`ethereum_mainnet`5=`ethereum_goerli`10=`optimism_mainnet`14=`flare_mainnet`16=`flare_testnet`30=`rootstock_mainnet`56=`bsc_mainnet`100=`gnosis_mainnet`130=`unichain_mainnet`137=`polygon_mainnet`143=`monad_mainnet`146=`sonic_mainnet`169=`manta_pacific_mainnet`196=`x_layer_mainnet`250=`fantom_mainnet`324=`zksync_era_mainnet`999=`hyperevm_mainnet`1030=`conflux_mainnet`1100=`dymension_mainnet`1101=`polygon_zkevm_mainnet`1329=`sei_mainnet`1337=`hypercore_mainnet`1666=`aster_mainnet`1672=`pharos_mainnet`1729=`reya_mainnet`2222=`kava_mainnet`4200=`merlin_mainnet`4217=`tempo_mainnet`4663=`robinhood_mainnet`5000=`mantle_mainnet`7000=`zeta_mainnet`7700=`canto_mainnet`8453=`base_mainnet`8818=`clink_mainnet`8819=`clink_testnet`9745=`plasma_mainnet`16661=`zero_gravity_mainnet`17000=`ethereum_holesky`80001=`polygon_mumbai`80094=`berachain_mainnet`42161=`arbitrum_mainnet`43113=`avalanche_fuji`43114=`avalanche_chain`57073=`ink_mainnet`59144=`linea_mainnet`81457=`blast_mainnet`421614=`arbitrum_sepolia`534352=`scroll_mainnet`660279=`xai_mainnet`747474=`katana_mainnet`810180=`zklink_nova_mainnet`11155111=`ethereum_sepolia`

  - `transactions.related_transactions.chain.unique_id` (string, required)
    The unique EVM chain ID. Can be either one of those supported by the default chains below or a custom numeric chain ID `evm_<numeric_chain_id>` if one was added to your organization. `"evm_1"``"evm_5"``"evm_10"``"evm_14"``"evm_16"``"evm_30"``"evm_56"``"evm_100"``"evm_130"``"evm_137"``"evm_143"``"evm_146"``"evm_169"``"evm_196"``"evm_250"``"evm_324"``"evm_999"``"evm_1030"``"evm_1100"``"evm_1101"``"evm_1329"``"evm_1337"``"evm_1666"``"evm_1672"``"evm_1729"``"evm_2222"``"evm_4200"``"evm_4217"``"evm_4663"``"evm_5000"``"evm_7000"``"evm_7700"``"evm_8453"``"evm_8818"``"evm_8819"``"evm_9745"``"evm_16661"``"evm_17000"``"evm_80001"``"evm_80094"``"evm_42161"``"evm_43113"``"evm_43114"``"evm_57073"``"evm_59144"``"evm_81457"``"evm_421614"``"evm_534352"``"evm_660279"``"evm_747474"``"evm_810180"``"evm_11155111"``"evm_ethereum_mainnet"``"evm_ethereum_goerli"``"evm_optimism_mainnet"``"evm_flare_mainnet"``"evm_flare_testnet"``"evm_rootstock_mainnet"``"evm_bsc_mainnet"``"evm_gnosis_mainnet"``"evm_unichain_mainnet"``"evm_polygon_mainnet"``"evm_monad_mainnet"``"evm_sonic_mainnet"``"evm_manta_pacific_mainnet"``"evm_x_layer_mainnet"``"evm_fantom_mainnet"``"evm_zksync_era_mainnet"``"evm_hyperevm_mainnet"``"evm_conflux_mainnet"``"evm_dymension_mainnet"``"evm_polygon_zkevm_mainnet"``"evm_sei_mainnet"``"evm_hypercore_mainnet"``"evm_aster_mainnet"``"evm_pharos_mainnet"``"evm_reya_mainnet"``"evm_kava_mainnet"``"evm_merlin_mainnet"``"evm_tempo_mainnet"``"evm_robinhood_mainnet"``"evm_mantle_mainnet"``"evm_zeta_mainnet"``"evm_canto_mainnet"``"evm_base_mainnet"``"evm_clink_mainnet"``"evm_clink_testnet"``"evm_plasma_mainnet"``"evm_zero_gravity_mainnet"``"evm_ethereum_holesky"``"evm_polygon_mumbai"``"evm_berachain_mainnet"``"evm_arbitrum_mainnet"``"evm_avalanche_fuji"``"evm_avalanche_chain"``"evm_ink_mainnet"``"evm_linea_mainnet"``"evm_blast_mainnet"``"evm_arbitrum_sepolia"``"evm_scroll_mainnet"``"evm_xai_mainnet"``"evm_katana_mainnet"``"evm_zklink_nova_mainnet"``"evm_ethereum_sepolia"`

  - `transactions.related_transactions.chain.gas_type` (string, required)
    Enum: "dynamic", "legacy"

  - `transactions.related_transactions.chain.supports_mev_protected_node` (boolean)
    `True` if the chain supports MEV protected nodes, `False` otherwise.

  - `transactions.related_transactions.chain.rpc_url` (string)
    The URL of the chain's RPC. Exists only for custom chains.

  - `transactions.related_transactions.chain.source` (string, required)
    Enum: "default", "custom"

  - `transactions.related_transactions.chain.supports_7702` (boolean)
    `True` if the chain supports 7702, `False` otherwise.

  - `transactions.related_transactions.explorer_url` (string)
    The URL of the related transaction in a blockchain explorer.

  - `transactions.organization_id` (string, required)
    The organization that the transaction belongs to.

  - `transactions.block` (object)

  - `transactions.block.number` (integer, required)
    The block number.

  - `transactions.block.hash` (string)
    The block hash.

  - `transactions.block.mined_at` (string, required)
    The date and time when this block was mined.

  - `transactions.state` (string, required)
    Enum: "waiting_for_approval", "waiting_for_signing_trigger", "approved", "finalized_for_signing", "signed", "pushed_to_blockchain", "mined", "completed", "aborted", "error_pushing_to_blockchain", "mined_reverted", "completed_reverted", "error_signing", "stuck", "dropped", "queued", "accelerating", "canceling", "accelerated", "cancelled", "insufficient_funds"

  - `transactions.state_changes` (array, required)
    The state changes of the transaction.

  - `transactions.state_changes.changed_at` (string, required)
    The date and time when the state was changed.

  - `transactions.state_changes.reason` (string)
    Enum: "failed_to_verify_signature", "original_transaction_was_completed", "stale_nonce", "quote_expired", "another_dlc_transaction_was_completed", "fee_limit_exceeded", "not_in_mempool_or_chain", "exchange_withdraw_address_not_whitelisted", "exchange_invalid_api_key_permissions", "exchange_funds_pending_settlement", "exchange_withdrawal_limit_exceeded", "exchange_security_and_policy_holds", "exchange_service_unavailable"

  - `transactions.aml_check` (object)

  - `transactions.aml_check.results` (object)

  - `transactions.aml_check.results.scan_status` (string, required)
    Enum: "error", "timeout", "skipped", "completed", "unsupported_chain", "pending"

  - `transactions.aml_check.results.error_message` (string)
    The error message if the scan failed.

  - `transactions.aml_check.results.scan_results` (any)

  - `transactions.aml_check.results.scan_results.type` (string, required)
    The type of the policy.

  - `transactions.aml_check.results.scan_results.alerts` (array, required)
    The list of alerts.

  - `transactions.aml_check.results.scan_results.alerts.category` (object, required)

  - `transactions.aml_check.results.scan_results.alerts.category.id` (integer, required)
    The category ID.

  - `transactions.aml_check.results.scan_results.alerts.category.name` (string, required)
    The category name.

  - `transactions.aml_check.results.scan_results.alerts.risk_rating` (string, required)
    Enum: "low", "medium", "high", "severe"

  - `transactions.aml_check.results.scan_results.alerts.exposure_type` (string, required)
    Enum: "direct", "indirect"

  - `transactions.aml_check.results.scan_results.alerts.service` (string)
    The name of the service as defined by Chainalysis. If null returns, Chainalysis has not yet identified the service's name.

  - `transactions.aml_check.results.scan_results.external_id` (string, required)
    A unique identifier of the scan.

  - `transactions.aml_check.incoming_aml_check` (object)

  - `transactions.aml_check.incoming_aml_check.policy_match` (object)

  - `transactions.aml_check.incoming_aml_check.policy_match.is_default` (boolean, required)
    `True` if this is the default rule, `False` otherwise.

  - `transactions.aml_check.incoming_aml_check.policy_match.rule_id` (string, required)
    The unique identifier of the rule.

  - `transactions.aml_check.incoming_aml_check.policy_match.rule_name` (string, required)
    The name of the rule.

  - `transactions.aml_check.incoming_aml_check.policy_match.action_type` (string, required)
    Enum: "allow", "freeze", "skip"

  - `transactions.aml_check.incoming_aml_check.users_eligible_to_unfreeze` (array)
    list of possible approvers

  - `transactions.aml_check.incoming_aml_check.frozen` (boolean)
    Whether the transaction is frozen.

  - `transactions.mined_result_status` (string)
    Enum: "success", "missing", "potentially_partial"

  - `transactions.simulation_status_result` (object)

  - `transactions.simulation_status_result.simulation_status` (string)
    Enum: "success", "failed", "reverted", "skipped"

  - `transactions.simulation_status_result.details` (string, required)
    Details about transaction reversion if occurred.

  - `transactions.type` (string, required)
    The type of the transaction.

  - `transactions.solana_transaction_type_details` (any, required)
    Details of the Solana transaction based on its type.

  - `transactions.solana_transaction_type_details.type` (string, required)
    A transaction involving the transfer of native currency from one address to another.

  - `transactions.solana_transaction_type_details.sender` (object, required)

  - `transactions.solana_transaction_type_details.sender.explorer_url` (string)
    The URL of a blockchain explorer that provides real-time information about the address.

  - `transactions.solana_transaction_type_details.sender.contact` (object)
    Represents a reference to an address book contact in the Fordefi platform.

  - `transactions.solana_transaction_type_details.sender.contact.id` (string, required)
    The unique identifier of the address book contact in the Fordefi platform.

  - `transactions.solana_transaction_type_details.sender.contact.name` (string, required)
    The name of the contact.

  - `transactions.solana_transaction_type_details.sender.contact.address_ref` (any, required)

  - `transactions.solana_transaction_type_details.sender.contact.address_ref.chain_type` (string, required)
    The type of the chain.

  - `transactions.solana_transaction_type_details.sender.contact.address_ref.address` (string, required)
    The address on the Aptos chain.
    Example: 0x3300c18e7b931bdfc73dccf3e2d043ad1c9d120c777fff5aeeb9956224e5247a

  - `transactions.solana_transaction_type_details.sender.contact.address_ref.chains` (array, required)
    The chains that the contact belongs to.

  - `transactions.solana_transaction_type_details.sender.contact.address_ref.address` (string, required)
    The address on the Arch chain.
    Example: 4fYNw3dojWmQ4dXtSGE9epjRGy9pFSx62YypT7avPYvA

  - `transactions.solana_transaction_type_details.sender.contact.address_ref.chains` (array, required)
    The chains the contact belongs to.

  - `transactions.solana_transaction_type_details.sender.contact.address_ref.address` (string, required)
    The party id on the Canton chain.
    Example: 45b72ac2a9742204e6e5f521781b0648::122028536bd166988ebbb422c7f483bb32d4134127e8c171c9666ce9b518e1dd27cf

  - `transactions.solana_transaction_type_details.sender.contact.address_ref.memo` (string)
    Memo is an additional address feature used for identifying a recipient.

  - `transactions.solana_transaction_type_details.sender.contact.address_ref.address` (string, required)
    The address on the cosmos chain.
    Example: cosmos1tdk0g5d4ry9lq0erejttyufqcvwpqdj6tdql38

  - `transactions.solana_transaction_type_details.sender.contact.address_ref.chain` (object, required)

  - `transactions.solana_transaction_type_details.sender.contact.address_ref.chain.chain_type` (string, required)
    The type of the chain.

  - `transactions.solana_transaction_type_details.sender.contact.address_ref.address` (string, required)
    The address of the contact.
    Example: 0x71C7656EC7ab88b098defB751B7401B5f6d8976F

  - `transactions.solana_transaction_type_details.sender.contact.address_ref.address` (string, required)
    The classic address on the Ripple chain.
    Example: rHb9CJAWyB4rj91VRWn96DkukG4bwdtyTh

  - `transactions.solana_transaction_type_details.sender.contact.address_ref.tag` (string)
    The XRP Ledger destination tag, a numeric value used for identifying a recipient.

  - `transactions.solana_transaction_type_details.sender.contact.address_ref.address` (string, required)
    The address on the Solana chain.
    Example: 4fYNw3dojWmQ4dXtSGE9epjRGy9pFSx62YypT7avPYvA

  - `transactions.solana_transaction_type_details.sender.contact.address_ref.address` (string, required)
    The address on the Stacks chain.
    Example: SP3J4NWQXC312DK0GXVRZKSRFBZG8S5FG1D2160E9

  - `transactions.solana_transaction_type_details.sender.contact.address_ref.address` (string, required)
    The address on the Starknet chain.
    Example: 0x0448f450e64B50dDF49e9F95C5b63a15cD21E21a39cA2D45628d9E5B27e5e1D8

  - `transactions.solana_transaction_type_details.sender.contact.address_ref.address` (string, required)
    The address on the Stellar chain.
    Example: GBRPYHIL2CI3FNQ4BXLFMNDLFJHO7W3B6FSHLTAVM2A4P45SHO4ZB7I2

  - `transactions.solana_transaction_type_details.sender.contact.address_ref.address` (string, required)
    The address on the Sui chain.
    Example: 0x3300c18e7b931bdfc73dccf3e2d043ad1c9d120c777fff5aeeb9956224e5247a

  - `transactions.solana_transaction_type_details.sender.contact.address_ref.address` (string, required)
    The address on the TON chain.

  - `transactions.solana_transaction_type_details.sender.contact.address_ref.comment` (string)
    Comment is an additional address feature used for identifying a recipient.

  - `transactions.solana_transaction_type_details.sender.contact.address_ref.address` (string, required)
    The address on the TRON chain.
    Example: TJCnKsPa7y5okkXvQAidZBzqx3QyQ6sxMW

  - `transactions.solana_transaction_type_details.sender.contact.address_ref.address` (string, required)
    The address on the utxo chain.
    Example: bc1qar0srrr7xfkvy5l643lydnw9re59gtzzwf5mdq

  - `transactions.solana_transaction_type_details.sender.type` (string, required)

  - `transactions.solana_transaction_type_details.sender.address` (string, required)
    The Solana address represented in Base58 format.
    Example: 4fYNw3dojWmQ4dXtSGE9epjRGy9pFSx62YypT7avPYvA

  - `transactions.solana_transaction_type_details.sender.contract` (object)

  - `transactions.solana_transaction_type_details.sender.contract.name` (string)
    The name of the contract.

  - `transactions.solana_transaction_type_details.sender.contract.dapp` (object)

  - `transactions.solana_transaction_type_details.sender.contract.dapp.id` (string, required)
    The unique identifier of this DApp.

  - `transactions.solana_transaction_type_details.sender.contract.dapp.name` (string, required)
    The name of the DApp.

  - `transactions.solana_transaction_type_details.sender.contract.dapp.url` (string)
    The URL of the DApp.

  - `transactions.solana_transaction_type_details.sender.contract.dapp.logo_url` (string)
    The logo URL of the DApp.

  - `transactions.solana_transaction_type_details.sender.contract.dapp.contracts_count` (integer)
    The number of contracts associated with this DApp.

  - `transactions.solana_transaction_type_details.sender.contract.is_verified` (boolean, required)
    `True` if the contract is verified, `False` otherwise.

  - `transactions.solana_transaction_type_details.sender.contract.token` (object)

  - `transactions.solana_transaction_type_details.sender.contract.token.type` (string, required)
    The type of the token

  - `transactions.solana_transaction_type_details.sender.contract.token.address` (object, required)
    Address represents an EVM blockchain address.

  - `transactions.solana_transaction_type_details.sender.contract.token.address.type` (string, required)

  - `transactions.solana_transaction_type_details.sender.contract.token.address.chain` (object, required)

  - `transactions.solana_transaction_type_details.sender.contract.token.address.chain.chain_type` (string, required)
    The type of the chain.

  - `transactions.solana_transaction_type_details.sender.contract.token.address.base58_repr` (string, required)
    Base58 representation of the address in the chain.
    Example: 4fYNw3dojWmQ4dXtSGE9epjRGy9pFSx62YypT7avPYvA

  - `transactions.solana_transaction_type_details.sender.contract.token.name` (string, required)
    The token name

  - `transactions.solana_transaction_type_details.sender.contract.token.symbol` (string, required)
    The token symbol or ticker

  - `transactions.solana_transaction_type_details.sender.contract.token.decimals` (integer, required)
    The token decimals

  - `transactions.solana_transaction_type_details.sender.contract.token.logo_url` (string)
    The token logo url

  - `transactions.solana_transaction_type_details.is_internal` (boolean)
    Is this transfer an internal transfer between two vaults. None if the transaction is incoming.

  - `transactions.solana_transaction_type_details.type` (string, required)
    A transaction capable of any operation.

  - `transactions.solana_transaction_type_details.recipients` (array, required)
    The recipients of the tokens.

  - `transactions.version` (string, required)
    Enum: "legacy", "v0"

  - `transactions.instructions` (array, required)
    The instructions of the transaction.

  - `transactions.instructions.program_index` (integer, required)
    The program index.

  - `transactions.instructions.data` (string, required)
    The instruction data in Base64 format.
    Example: SGVsbG8=

  - `transactions.instructions.account_indexes` (array, required)
    The indexes of the instruction accounts in the transaction accounts list.

  - `transactions.instructions.base58_data` (string)
    The instruction data encoded in Base58 format.

  - `transactions.accounts` (array, required)
    Accounts used in the transaction.

  - `transactions.accounts.writable` (boolean, required)
    Indicates if this account is writable in the context of the transaction.

  - `transactions.accounts.signer` (boolean, required)
    Indicates if this account is a signer of the transaction.

  - `transactions.address_table_lookups` (array, required)
    Lookup tables of accounts used in the transaction.

  - `transactions.address_table_lookups.writable_indexes` (array, required)
    Indexes of writable accounts in the lookup table.

  - `transactions.address_table_lookups.readonly_indexes` (array, required)
    Indexes of read-only accounts in the lookup table.

  - `transactions.address_table_lookups.state` (object, required)

  - `transactions.address_table_lookups.state.addresses` (array, required)
    The addresses that are stored in the table.

  - `transactions.address_table_lookups.state.deactivation_slot` (string, required)
    The table can be closed when the deactivation slot is no longer the recent slot.
    Example: 1000000000000000000

  - `transactions.address_table_lookups.state.last_extended_slot` (string, required)
    The number of the last slot in which a change constitutes an extension of the table.
    Example: 1000000000000000000

  - `transactions.address_table_lookups.state.last_extended_slot_start_index` (string, required)
    The start index where the table was last extended from during the `last_extended_slot`.
    Example: 1000000000000000000

  - `transactions.raw_transaction` (string)
    The serialized transaction encoded as a base64 string
    Example: SGVsbG8=

  - `transactions.hash` (string)
    The first signature of the transaction.
    Example: FAWA66fudpiwdRDDQ4DRxdJsRvawvauwg4vQkm98ZHFpXmW5N7xzRiTRpt8QiZ19s1aVbzKgXW6kEZanwHeDFNS

  - `transactions.recent_blockhash` (string)
    The transaction nonce (last block hash).
    Example: 4sGjMW1sUnHzSxGspuhpqLDx6wiyjNtZAMdL4VZHirAn

  - `transactions.expected_result` (object)

  - `transactions.expected_result.reversion` (object, required)

  - `transactions.expected_result.reversion.state` (string, required)
    Enum: "not_reverted", "unknown_revert", "contract_asserted", "insufficient_funds_gas_and_value", "insufficient_funds_for_rent"

  - `transactions.expected_result.reversion.reason` (string)
    The reason for the reversion (additional information).

  - `transactions.expected_result.transaction_error` (string)
    The description of the error of the transaction.

  - `transactions.expected_result.enriched_fee` (object, required)

  - `transactions.expected_result.enriched_fee.priority_level` (string, required)
    Enum: "custom", "low", "medium", "high"

  - `transactions.expected_result.enriched_fee.base_fee` (string, required)
    The base fee of the transaction (in lamports).
    Example: 1000000000000000000

  - `transactions.expected_result.enriched_fee.priority_fee` (string, required)
    The priority fee of the transaction (in lamports).
    Example: 1000000000000000000

  - `transactions.expected_result.enriched_fee.unit_price` (string)
    The unit price of the transaction (in microlamports).
    Example: 1000000000000000000

  - `transactions.expected_result.enriched_fee.fee` (string, required)
    The total fee of the transaction (in lamports).
    Example: 1000000000000000000

  - `transactions.expected_result.enriched_fee.fee_type` (string, required)
    Enum: "jito", "priority_fee"

  - `transactions.expected_result.enriched_fee.priced_asset` (object, required)

  - `transactions.expected_result.enriched_fee.priced_asset.type` (string, required)

  - `transactions.expected_result.enriched_fee.priced_asset.asset_info` (object, required)

  - `transactions.expected_result.enriched_fee.priced_asset.asset_info.id` (string, required)
    The asset ID.

  - `transactions.expected_result.enriched_fee.priced_asset.asset_info.asset_identifier` (any, required)

  - `transactions.expected_result.enriched_fee.priced_asset.asset_info.asset_identifier.type` (string, required)
    Aptos asset identifier type.

  - `transactions.expected_result.enriched_fee.priced_asset.asset_info.asset_identifier.details` (any, required)

  - `transactions.expected_result.enriched_fee.priced_asset.asset_info.asset_identifier.type` (string, required)
    Arch asset identifier type.

  - `transactions.expected_result.enriched_fee.priced_asset.asset_info.asset_identifier.type` (string, required)
    Canton asset identifier type.

  - `transactions.expected_result.enriched_fee.priced_asset.asset_info.asset_identifier.type` (string, required)
    Cosmos asset identifier type.

  - `transactions.expected_result.enriched_fee.priced_asset.asset_info.asset_identifier.type` (string, required)
    Asset identifier type.

  - `transactions.expected_result.enriched_fee.priced_asset.asset_info.asset_identifier.exchange_type` (string, required)
    Enum: "binance", "bybit", "coinbase_international", "coinbase_us", "okx", "kraken", "paxos"

  - `transactions.expected_result.enriched_fee.priced_asset.asset_info.asset_identifier.asset_symbol` (string, required)
    The symbol of the asset on the exchange.

  - `transactions.expected_result.enriched_fee.priced_asset.asset_info.asset_identifier.type` (string, required)
    Ripple asset identifier type.

  - `transactions.expected_result.enriched_fee.priced_asset.asset_info.asset_identifier.type` (string, required)
    Solana asset identifier type.

  - `transactions.expected_result.enriched_fee.priced_asset.asset_info.asset_identifier.type` (string, required)
    Stacks asset identifier type.

  - `transactions.expected_result.enriched_fee.priced_asset.asset_info.asset_identifier.type` (string, required)
    Stellar asset identifier type.

  - `transactions.expected_result.enriched_fee.priced_asset.asset_info.asset_identifier.type` (string, required)
    Starknet asset identifier type.

  - `transactions.expected_result.enriched_fee.priced_asset.asset_info.asset_identifier.type` (string, required)
    Sui asset identifier type.

  - `transactions.expected_result.enriched_fee.priced_asset.asset_info.asset_identifier.type` (string, required)
    TON asset identifier type.

  - `transactions.expected_result.enriched_fee.priced_asset.asset_info.asset_identifier.type` (string, required)
    TRON asset identifier type.

  - `transactions.expected_result.enriched_fee.priced_asset.asset_info.asset_identifier.type` (string, required)
    Utxo asset identifier type.

  - `transactions.expected_result.enriched_fee.priced_asset.asset_info.name` (string, required)
    The name of the asset.

  - `transactions.expected_result.enriched_fee.priced_asset.asset_info.symbol` (string, required)
    The symbol (ticker) of the asset.

  - `transactions.expected_result.enriched_fee.priced_asset.asset_info.decimals` (integer, required)

  - `transactions.expected_result.enriched_fee.priced_asset.asset_info.verified` (boolean, required)
    `True` if this asset is verified by Fordefi, `False` otherwise.

  - `transactions.expected_result.enriched_fee.priced_asset.asset_info.metadata_uri` (string)
    The URI of the asset metadata.

  - `transactions.expected_result.enriched_fee.priced_asset.asset_info.is_spam` (boolean, required)
    `True` if this asset is spam, `False` otherwise.

  - `transactions.expected_result.enriched_fee.priced_asset.asset_info.logo_url` (string)
    The URL of the asset logo.

  - `transactions.expected_result.enriched_fee.priced_asset.asset_info.explorer_url` (string)
    The URL of a blockchain explorer that provides real-time information about the asset.

  - `transactions.expected_result.enriched_fee.priced_asset.asset_info.issuer_name` (string)
    Best-effort display name of the issuer

  - `transactions.expected_result.enriched_fee.priced_asset.price` (object)
    Price represents a price in a given FiatCurrency.

  - `transactions.expected_result.enriched_fee.priced_asset.price.price_float` (string, required)
    The absolute price in the given fiat currency. When is_negative is true the asset's value is the negative of this (e.g. a debt token).
    Example: 1000000000000000000

  - `transactions.expected_result.enriched_fee.priced_asset.price.is_negative` (boolean)
    Whether the asset's value is negative (e.g. a debt token). price_float holds the absolute value.

  - `transactions.expected_result.enriched_fee.priced_asset.price.fiat_currency` (object, required)

  - `transactions.expected_result.enriched_fee.priced_asset.price.fiat_currency.currency_symbol` (string, required)
    FiatCurrencySymbol
    Enum: "usd"

  - `transactions.expected_result.enriched_fee.priced_asset.price.fiat_currency.decimals` (integer, required)
    The number of decimals in the fiat currency.

  - `transactions.expected_result.effects` (object, required)

  - `transactions.expected_result.effects.balance_changes` (array, required)
    The aggregated balance changes of addresses.

  - `transactions.expected_result.effects.balance_changes.diff` (string, required)
    The amount of that was added to or deducted from the owner's balance. If the amount was deducted, the value is negative; if the amount was added, the value is positive.
    Example: 1000000000000000000

  - `transactions.expected_result.effects.transfers` (array, required)
    The transfer events of the transaction.

  - `transactions.expected_result.effects.transfers.amount` (string, required)
    The amount of the transfer.
    Example: 1000000000000000000

  - `transactions.expected_result.effects.allowances` (array, required)
    Allowances set or modified as a result of the transaction

  - `transactions.expected_result.effects.allowances.amount` (string, required)
    The amount of the transfer.
    Example: 1000000000000000000

  - `transactions.expected_result.instruction_error` (object)

  - `transactions.expected_result.instruction_error.error_type` (string, required)
    The type of the error of the instruction.

  - `transactions.expected_result.instruction_error.instruction_index` (integer, required)
    The index of the instruction.

  - `transactions.expected_result.instruction_error.error_description` (string)
    The description of the error of the instruction.

  - `transactions.explorer_url` (string)
    The URL of this transaction in a blockchain explorer. For example, Solscan.
    Example: https://solscan.io/tx/FAWA66f...6kEZanwHeDFNS

  - `transactions.was_fee_set_in_request` (boolean, required)
    Whether the priority fee was already set in the request with a ComputeBudget instruction.

  - `transactions.parent_transaction_id` (string)
    The unique identifier of the parent transaction. Parent and child transactions form in cases where a transaction become stuck and is then either canceled or accelerated. If, for example, the original transaction (`t1`) is the parent and the related, adjustment transaction is the child (`t2`), then relative to itself, the parent field of `t1` is `null` and the child field is `t2_id`. Compare with field `child_transaction_id`.

  - `transactions.child_transaction_id` (string)
    The unique identifier of the child transaction. Compare with field `parent_transaction_id`. Relative to itself, the parent field of transaction `t2` would aquire the identifier `t1_id` and the child field of `t2` would be `null`.

  - `transactions.is_cancelation` (boolean, required)
    `True` if this transaction is a cancelation of a previous transaction, `False` otherwise.

  - `transactions.is_acceleration` (boolean, required)
    `True` if this transaction is an acceleration of a previous transaction, `False` otherwise.

  - `transactions.utxo_transaction_type_details` (any, required)
    Details of UTXO transaction, based on its type.

  - `transactions.utxo_transaction_type_details.type` (string, required)
    A transaction involving the transfer of native currency from one or moreaddresses to one or more addresses.

  - `transactions.utxo_transaction_type_details.is_internal` (boolean)
    Is this transfer an internal transfer between two vaults. None if the transaction is incoming.

  - `transactions.utxo_transaction_type_details.memos` (array, required)
    List of memos of the transaction.

  - `transactions.utxo_transaction_type_details.type` (string, required)
    A partially signed bitcoin transaction (PSBT).

  - `transactions.utxo_transaction_type_details.psbt_raw_data` (string, required)
    Partially signed bitcoin transaction data encoded as a hex string.

  - `transactions.utxo_transaction_type_details.signed_psbt_raw_data` (string)
    Partially signed bitcoin transaction data encoded as a hex string.

  - `transactions.utxo_transaction_type_details.sender` (object, required)

  - `transactions.utxo_transaction_type_details.sender.explorer_url` (string)
    The URL of a blockchain explorer that provides real-time information about the address.

  - `transactions.utxo_transaction_type_details.sender.type` (string, required)

  - `transactions.utxo_transaction_type_details.sender.address` (object, required)

  - `transactions.utxo_transaction_type_details.sender.address.type` (string, required)

  - `transactions.utxo_transaction_type_details.sender.address.address` (string, required)
    The UTXO string address.
    Example: bc1qar0srrr7xfkvy5l643lydnw9re59gtzzwf5mdq

  - `transactions.utxo_transaction_type_details.sender.address.address_type` (string, required)
    Enum: "legacy", "p2sh", "segwit", "taproot", "merkleroot"

  - `transactions.utxo_transaction_type_details.sender.vault_address` (object)
    Represents a reference to a vault address in the Fordefi platform

  - `transactions.utxo_transaction_type_details.sender.vault_address.id` (string, required)
    The unique identifier of the vault address in the Fordefi platform.

  - `transactions.utxo_transaction_type_details.sender.vault_address.vault_id` (string, required)
    The unique identifier of the vault this address belongs to.

  - `transactions.utxo_transaction_type_details.sender.vault_address.name` (string, required)
    The name of the vault address.

  - `transactions.utxo_transaction_type_details.sender.vault_address.address` (string, required)
    The address of the vault address.

  - `transactions.utxo_transaction_type_details.json_representation` (string)
    Json representation of the PSBT.

  - `transactions.hash` (string)
    The hash of the transaction.

  - `transactions.explorer_url` (string)
    The URL of this transaction in a blockchain explorer.

  - `transactions.dlc_data` (object)

  - `transactions.dlc_data.dlc_transaction_type` (string, required)
    Enum: "FUNDING_TRANSACTION", "REFUND_TRANSACTION", "CET_TRANSACTION"

  - `transactions.dlc_data.funding_transaction_id` (string, required)

  - `transactions.dlc_data.refund_transaction_id` (string, required)

  - `transactions.dlc_data.cet_transaction_ids` (array, required)

  - `transactions.dlc_data.adaptor_point` (string)

## Response 400 fields (application/json):

  - `title` (string, required)
    Human-readable error message.

  - `detail` (string, required)
    Detailed error message.

  - `full_detail` (string)
    Full error message with additional details, if available.

  - `request_id` (string)
    Request ID - for debugging purposes.

  - `system_error_code` (string)
    An additional system error code in Fordefi.

  - `error_type` (string)
    Enum: "reverted_transaction", "partial_signed_raw_request", "blocked_by_policy", "transaction_contains_restricted_addresses", "vault_not_found", "missing_signed_raw_request", "redundant_signed_raw_request", "transaction_to_non_contract", "insecure_key_derivation", "invalid_signed_raw_request", "invalid_signer_type", "invalid_evm_message", "invalid_evm_transaction_data", "insufficient_funds", "vault_type_mismatch", "invalid_creator_type", "invalid_recipient", "dust_not_allowed", "invalid_gas_type", "insufficient_approvers", "funding_blocked_by_policy", "funder_not_allowed_for_transaction_type", "origin_vault_used_as_funder", "mixed_secure_and_non_secure_transactions", "invalid_push_mode", "chain_does_not_support_secure_node", "invalid_solana_secret_key", "invalid_solana_raw_transaction_accounts_field", "insufficient_gas_coins", "invalid_aptos_serialized_entry_point", "invalid_aptos_serialized_type", "invalid_aptos_rotate_key", "sui_package_address_not_found", "transaction_already_mined", "invalid_utxo_message_address_type", "invalid_starknet_vault_state", "missing_secret_key_or_recent_blockhash", "missing_secret_key_or_signature", "revoke_allowance_gas_limit_too_high", "chain_is_disabled", "priority_fee_already_set", "quote_not_found", "invalid_transaction_gas_config_field", "chain_is_not_supported", "gas_sponsor_not_enabled_for_organization", "chain_does_not_support_7702", "creating_user_operation_message_is_blocked", "transaction_fee_exceeds_limit", "transaction_not_pushable", "aml_not_configured", "transaction_not_frozen", "send_7702_transaction_to_self", "vault_is_not_smart_account", "invalid_canton_vault_registration_state", "failed_finding_wrapped_native_token", "sponsored_transactions_not_enabled"

## Response 401 fields (application/json):

  - `title` (string, required)
    Human-readable error message.

  - `detail` (string, required)
    Detailed error message.

  - `full_detail` (string)
    Full error message with additional details, if available.

  - `request_id` (string)
    Request ID - for debugging purposes.

## Response 403 fields (application/json):

  - `title` (string, required)
    Human-readable error message.

  - `detail` (string, required)
    Detailed error message.

  - `full_detail` (string)
    Full error message with additional details, if available.

  - `request_id` (string)
    Request ID - for debugging purposes.

## Response 408 fields (application/json):

  - `title` (string, required)
    Human-readable error message.

  - `detail` (string, required)
    Detailed error message.

  - `full_detail` (string)
    Full error message with additional details, if available.

  - `request_id` (string)
    Request ID - for debugging purposes.

## Response 422 fields (application/json):

  - `title` (string, required)
    Human-readable error message.

  - `detail` (array, required)

  - `detail.loc` (array, required)

  - `detail.msg` (string, required)

  - `detail.type` (string, required)

  - `full_detail` (string)
    Full error message with additional details, if available.

  - `request_id` (string)
    Request ID - for debugging purposes.

## Response 500 fields (application/json):

  - `title` (string, required)
    Human-readable error message.

  - `detail` (string, required)
    Detailed error message.

  - `full_detail` (string)
    Full error message with additional details, if available.

  - `request_id` (string)
    Request ID - for debugging purposes.

